# Uses of Interface
java.awt.print.Pageable

Packages that use Pageable
Package
Description
java.awt.print
Provides classes and interfaces for a general printing API.

## Uses of Pageable in java.awt.print

Classes in java.awt.print that implement Pageable
Modifier and Type
Class
Description
`class`
`Book`
The `Book` class provides a representation of a document in which pages may have different page formats and page painters.
Methods in java.awt.print with parameters of type Pageable
Modifier and Type
Method
Description
`abstract void`
PrinterJob.`setPageable(Pageable document)`
Queries `document` for the number of pages and the `PageFormat` and `Printable` for each page held in the `Pageable` instance, `document`.